curl --request PATCH \
--url https://api.wondeya.com/v1/projects/{projectId}/brand/chrome \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"navLinks": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
],
"footerGroups": [
{
"title": {
"es": "<string>",
"en": "<string>"
},
"links": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
]
}
],
"socials": [
{
"href": "<string>"
}
],
"legalName": {
"es": "<string>",
"en": "<string>"
},
"contact": {
"email": "<string>",
"addressLines": [
"<string>"
]
}
}
'import requests
url = "https://api.wondeya.com/v1/projects/{projectId}/brand/chrome"
payload = {
"navLinks": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
],
"footerGroups": [
{
"title": {
"es": "<string>",
"en": "<string>"
},
"links": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
]
}
],
"socials": [{ "href": "<string>" }],
"legalName": {
"es": "<string>",
"en": "<string>"
},
"contact": {
"email": "<string>",
"addressLines": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
navLinks: [{label: {es: '<string>', en: '<string>'}, href: '<string>', variant: 'link'}],
footerGroups: [
{
title: {es: '<string>', en: '<string>'},
links: [{label: {es: '<string>', en: '<string>'}, href: '<string>', variant: 'link'}]
}
],
socials: [{href: '<string>'}],
legalName: {es: '<string>', en: '<string>'},
contact: {email: '<string>', addressLines: ['<string>']}
})
};
fetch('https://api.wondeya.com/v1/projects/{projectId}/brand/chrome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/projects/{projectId}/brand/chrome",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'navLinks' => [
[
'label' => [
'es' => '<string>',
'en' => '<string>'
],
'href' => '<string>',
'variant' => 'link'
]
],
'footerGroups' => [
[
'title' => [
'es' => '<string>',
'en' => '<string>'
],
'links' => [
[
'label' => [
'es' => '<string>',
'en' => '<string>'
],
'href' => '<string>',
'variant' => 'link'
]
]
]
],
'socials' => [
[
'href' => '<string>'
]
],
'legalName' => [
'es' => '<string>',
'en' => '<string>'
],
'contact' => [
'email' => '<string>',
'addressLines' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/projects/{projectId}/brand/chrome"
payload := strings.NewReader("{\n \"navLinks\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ],\n \"footerGroups\": [\n {\n \"title\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"links\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ]\n }\n ],\n \"socials\": [\n {\n \"href\": \"<string>\"\n }\n ],\n \"legalName\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"contact\": {\n \"email\": \"<string>\",\n \"addressLines\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.wondeya.com/v1/projects/{projectId}/brand/chrome")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"navLinks\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ],\n \"footerGroups\": [\n {\n \"title\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"links\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ]\n }\n ],\n \"socials\": [\n {\n \"href\": \"<string>\"\n }\n ],\n \"legalName\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"contact\": {\n \"email\": \"<string>\",\n \"addressLines\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/projects/{projectId}/brand/chrome")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"navLinks\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ],\n \"footerGroups\": [\n {\n \"title\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"links\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ]\n }\n ],\n \"socials\": [\n {\n \"href\": \"<string>\"\n }\n ],\n \"legalName\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"contact\": {\n \"email\": \"<string>\",\n \"addressLines\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"navLinks": [
{
"label": "<string>",
"href": "<string>",
"variant": "link"
}
],
"footerGroups": [
{
"title": "<string>",
"links": [
{
"label": "<string>",
"href": "<string>",
"variant": "link"
}
]
}
],
"socials": [
{
"network": "x",
"href": "<string>"
}
],
"legalName": {
"es": "<string>",
"en": "<string>"
},
"contact": {
"addressLines": [
"<string>"
],
"email": "<string>"
}
}Edita la barra de navegación y el pie de página del sitio
Parcial con semántica de reemplazo por lista: una lista presente REEMPLAZA la almacenada, [] la vacía, una clave ausente no toca nada. Los textos son por idioma (D-44). Cada href es una URL http(s) absoluta o una ruta del mismo sitio.
curl --request PATCH \
--url https://api.wondeya.com/v1/projects/{projectId}/brand/chrome \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"navLinks": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
],
"footerGroups": [
{
"title": {
"es": "<string>",
"en": "<string>"
},
"links": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
]
}
],
"socials": [
{
"href": "<string>"
}
],
"legalName": {
"es": "<string>",
"en": "<string>"
},
"contact": {
"email": "<string>",
"addressLines": [
"<string>"
]
}
}
'import requests
url = "https://api.wondeya.com/v1/projects/{projectId}/brand/chrome"
payload = {
"navLinks": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
],
"footerGroups": [
{
"title": {
"es": "<string>",
"en": "<string>"
},
"links": [
{
"label": {
"es": "<string>",
"en": "<string>"
},
"href": "<string>",
"variant": "link"
}
]
}
],
"socials": [{ "href": "<string>" }],
"legalName": {
"es": "<string>",
"en": "<string>"
},
"contact": {
"email": "<string>",
"addressLines": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
navLinks: [{label: {es: '<string>', en: '<string>'}, href: '<string>', variant: 'link'}],
footerGroups: [
{
title: {es: '<string>', en: '<string>'},
links: [{label: {es: '<string>', en: '<string>'}, href: '<string>', variant: 'link'}]
}
],
socials: [{href: '<string>'}],
legalName: {es: '<string>', en: '<string>'},
contact: {email: '<string>', addressLines: ['<string>']}
})
};
fetch('https://api.wondeya.com/v1/projects/{projectId}/brand/chrome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/projects/{projectId}/brand/chrome",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'navLinks' => [
[
'label' => [
'es' => '<string>',
'en' => '<string>'
],
'href' => '<string>',
'variant' => 'link'
]
],
'footerGroups' => [
[
'title' => [
'es' => '<string>',
'en' => '<string>'
],
'links' => [
[
'label' => [
'es' => '<string>',
'en' => '<string>'
],
'href' => '<string>',
'variant' => 'link'
]
]
]
],
'socials' => [
[
'href' => '<string>'
]
],
'legalName' => [
'es' => '<string>',
'en' => '<string>'
],
'contact' => [
'email' => '<string>',
'addressLines' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/projects/{projectId}/brand/chrome"
payload := strings.NewReader("{\n \"navLinks\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ],\n \"footerGroups\": [\n {\n \"title\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"links\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ]\n }\n ],\n \"socials\": [\n {\n \"href\": \"<string>\"\n }\n ],\n \"legalName\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"contact\": {\n \"email\": \"<string>\",\n \"addressLines\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.wondeya.com/v1/projects/{projectId}/brand/chrome")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"navLinks\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ],\n \"footerGroups\": [\n {\n \"title\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"links\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ]\n }\n ],\n \"socials\": [\n {\n \"href\": \"<string>\"\n }\n ],\n \"legalName\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"contact\": {\n \"email\": \"<string>\",\n \"addressLines\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/projects/{projectId}/brand/chrome")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"navLinks\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ],\n \"footerGroups\": [\n {\n \"title\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"links\": [\n {\n \"label\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"href\": \"<string>\",\n \"variant\": \"link\"\n }\n ]\n }\n ],\n \"socials\": [\n {\n \"href\": \"<string>\"\n }\n ],\n \"legalName\": {\n \"es\": \"<string>\",\n \"en\": \"<string>\"\n },\n \"contact\": {\n \"email\": \"<string>\",\n \"addressLines\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"navLinks": [
{
"label": "<string>",
"href": "<string>",
"variant": "link"
}
],
"footerGroups": [
{
"title": "<string>",
"links": [
{
"label": "<string>",
"href": "<string>",
"variant": "link"
}
]
}
],
"socials": [
{
"network": "x",
"href": "<string>"
}
],
"legalName": {
"es": "<string>",
"en": "<string>"
},
"contact": {
"addressLines": [
"<string>"
],
"email": "<string>"
}
}Autorizaciones
Una clave de API del espacio de trabajo: wdy_live_… / wdy_test_…. Se crea en POST /workspaces/{tenantId}/keys y se muestra exactamente una vez.
Parámetros de ruta
Cuerpo
6Show child attributes
Show child attributes
4Show child attributes
Show child attributes
8Show child attributes
Show child attributes
El nombre en la línea de copyright, por idioma (como máximo 120 caracteres cada uno). Si está vacío, recurre al nombre del negocio, y si ese también está vacío, se omite la línea. Un idioma ausente se traduce automáticamente después de guardar; "" quita el texto de ese idioma.
Show child attributes
Show child attributes
El email de soporte y la dirección postal opcional (D-67). Un objeto PRESENTE reemplaza todo; una clave ausente lo deja sin cambios.
Show child attributes
Show child attributes
Respuesta
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
El email de soporte y la dirección postal opcional (D-67). Vacío significa que no hay bloque de contacto.
Show child attributes
Show child attributes